Bug 454090 - importing photos from mounted mass storage usb camera segfaults
importing photos from mounted mass storage usb camera segfaults
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-04 10:34 EDT by Andy Wingo
Modified: 2008-07-23 03:14 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.4.3.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 03:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Wingo 2008-07-04 10:34:27 EDT
Seems to be a problem with the libgphoto2 wrapper, from the stack trace. All
that is needed was for me to click on the + button...


956.9 MB Removable Volume - gnome-dev-harddisk-usb - Mountpoint
file:///media/disk True True Harddrive
Harddrive
*** glibc detected *** f-spot: free(): invalid pointer: 0x0aaddcb4 ***
======= Backtrace: =========
/lib/libc.so.6[0xcac7e4]
/lib/libc.so.6(cfree+0x96)[0xcae846]
/lib/libglib-2.0.so.0(g_free+0x36)[0x6219356]
[0x708ace]
[0x8e2b792]
[0x8e2b709]
[0x8e295e1]
[0x8e27d27]
[0x8e27868]
[0x18f2e33]
[0x174c038]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0x5ba98b4]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x5b9c12b]
/lib/libgobject-2.0.so.0[0x5bb0ed8]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe)[0x5bb1ece]
/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0x19d)[0x5bb21dd]
/usr/lib/libgtk-x11-2.0.so.0[0x653f45f]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0x5ba98b4]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x5b9c12b]
/lib/libgobject-2.0.so.0[0x5bb0995]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe)[0x5bb1ece]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x5bb2336]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_clicked+0xa1)[0x632da19]
/usr/lib/libgtk-x11-2.0.so.0[0x632ee7a]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0x5ba98b4]
/lib/libgobject-2.0.so.0[0x5b9a8a9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x5b9c12b]
/lib/libgobject-2.0.so.0[0x5bb01ee]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe)[0x5bb1ece]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x5bb2336]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_released+0xa1)[0x632d972]
/usr/lib/libgtk-x11-2.0.so.0[0x632ec6a]
/usr/lib/libgtk-x11-2.0.so.0[0x64342f6]
/lib/libgobject-2.0.so.0[0x5b9a8a9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x5b9c12b]
/lib/libgobject-2.0.so.0[0x5bb063d]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x688)[0x5bb1d58]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x5bb2336]
/usr/lib/libgtk-x11-2.0.so.0[0x65a5c3c]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_event+0x115)[0x65a5764]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x260)[0x64328b3]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2da)[0x643139d]
/usr/lib/libgdk-x11-2.0.so.0[0x5cd0fc0]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8)[0x6211098]
/lib/libglib-2.0.so.0[0x6214743]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1d2)[0x6214c62]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xe0)[0x6430ac5]
[0x230dc96]
[0x230dc60]
[0x230dc48]
[0x7084f2]
[0x7071c4]
f-spot(mono_runtime_exec_main+0xf7)[0x809a787]
f-spot(mono_runtime_run_main+0x16d)[0x809ad6d]
f-spot(mono_main+0x623)[0x8058b53]
f-spot[0x8058042]
/lib/libc.so.6(__libc_start_main+0xe6)[0xc555d6]
f-spot[0x8057f81]
======= Memory map: ========
00010000-000f1000 rwxp 00010000 00:00 0 
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00125000 rwxp 00111000 00:00 0 
00125000-00126000 ---p 00125000 00:00 0 
00126000-00129000 rwxp 00126000 00:00 0 
00129000-0012a000 r-xs 00000000 fd:00 23036324  
/var/cache/fontconfig/b4d0b56f766d89640448751fcd18ec1e-x86.cache-2
0012a000-0012e000 rwxp 0012a000 00:00 0 
0012e000-00138000 r-xp 00000000 fd:00 19268757   /lib/libnss_files-2.8.so
00138000-00139000 r-xp 0000a000 fd:00 19268757   /lib/libnss_files-2.8.so
00139000-0013a000 rwxp 0000b000 fd:00 19268757   /lib/libnss_files-2.8.so
0013a000-0013e000 rwxp 0013a000 00:00 0 
0013e000-00142000 r-xp 00000000 fd:00 12878152   /usr/lib/f-spot/FSpot.Core.dll
00142000-00144000 r-xp 00000000 fd:00 19890662  
/usr/lib/mono/gac/NDesk.DBus.GLib/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.GLib.dll
00144000-00145000 r-xp 00000000 fd:00 11762423   /usr/lib/libxcb-xlib.so.0.0.0
00145000-00146000 rwxp 00000000 fd:00 11762423   /usr/lib/libxcb-xlib.so.0.0.0
00146000-0014e000 r-xp 00000000 fd:00 25493878   /lib/librt-2.8.so
0014e000-0014f000 r-xp 00007000 fd:00 25493878   /lib/librt-2.8.so
0014f000-00150000 rwxp 00008000 fd:00 25493878   /lib/librt-2.8.so
00150000-00151000 r-xp 00000000 fd:00 11993855  
/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
00151000-00152000 rwxp 00001000 fd:00 11993855  
/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
00152000-00156000 r-xp 00000000 fd:00 25493907   /lib/libgthread-2.0.so.0.1600.3
00156000-00157000 rwxp 00003000 fd:00 25493907   /lib/libgthread-2.0.so.0.1600.3
00157000-00171000 r-xp 00000000 fd:00 19267697   /lib/libselinux.so.1
00171000-00172000 r-xp 00019000 fd:00 19267697   /lib/libselinux.so.1
00172000-00173000 rwxp 0001a000 fd:00 19267697   /lib/libselinux.so.1
00173000-00373000 r-xp 00000000 fd:00 11759819   /usr/lib/locale/locale-archive
00373000-00498000 r-xp 00000000 fd:00 33062970   /usr/lib/f-spot/f-spot.exe
00498000-00707000 r-xp 00000000 fd:00 12124335   /usr/lib/mono/2.0/mscorlib.dll
00707000-00784000 rwxp 00707000 00:00 0 
00784000-008bd000 rwxs 00000000 fd:00 7634975   
/home/wingo/.wapi/shared_data-unquote-Linux-i686-312-11-0
008bd000-008c6000 ---p 008bd000 00:00 0 
008c6000-009be000 rwxp 008c6000 00:00 0 
009be000-00a0a000 r-xp 00000000 fd:00 12845214  
/usr/lib/mono/gac/gnome-sharp/2.16.0.0__35e10195dab3c99f/gnome-sharp.dll
00a0a000-00a1b000 r-xp 00000000 fd:00 12124550  
/usr/lib/mono/gac/glib-sharp/2.10.0.0__35e10195dab3c99f/glib-sharp.dll
00a1b000-00a31000 r-xp 00000000 fd:00 28218822  
/usr/lib/mono/gac/Mono.Addins.Setup/0.3.0.0__0738eb9f132ed756/Mono.Addins.Setup.dll
00a31000-00b86000 r-xp 00000000 fd:00 12124554  
/usr/lib/mono/gac/gtk-sharp/2.10.0.0__35e10195dab3c99f/gtk-sharp.dll
00b86000-00b9c000 r-xp 00000000 fd:00 12124544  
/usr/lib/mono/gac/atk-sharp/2.10.0.0__35e10195dab3c99f/atk-sharp.dll
00b9c000-00bfe000 r-xp 00000000 fd:00 12878151   /usr/lib/f-spot/Cms.dll
00bfe000-00c11000 r-xp 00000000 fd:00 19890656  
/usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll
00c11000-00c14000 r-xp 00000000 fd:00 12878154   /usr/lib/f-spot/FSpot.Utils.dll
00c14000-00c18000 r-xp 00000000 fd:00 12845211  
/usr/lib/mono/gac/gconf-sharp/2.16.0.0__35e10195dab3c99f/gconf-sharp.dll
00c18000-00c1b000 r-xp 00000000 fd:00 25493904   /lib/libgmodule-2.0.so.0.1600.3
00c1b000-00c1c000 rwxp 00002000 fd:00 25493904   /lib/libgmodule-2.0.so.0.1600.3
00c1c000-00c1e000 r-xp 00000000 fd:00 11743719   /usr/lib/libglibsharpglue-2.so
00c1e000-00c1f000 rwxp 00001000 fd:00 11743719   /usr/lib/libglibsharpglue-2.so
00c1f000-00c3b000 r-xp 00000000 fd:00 25493875   /lib/ld-2.8.so
00c3b000-00c3c000 r-xp 0001c000 fd:00 25493875   /lib/ld-2.8.so
00c3c000-00c3d000 rwxp 0001d000 fd:00 25493875   /lib/ld-2.8.so
00c3d000-00c3f000 r-xp 00000000 fd:00 12878153   /usr/lib/f-spot/FSpot.Query.dll
00c3f000-00da2000 r-xp 00000000 fd:00 25493876   /lib/libc-2.8.so
00da2000-00da4000 r-xp 00163000 fd:00 25493876   /lib/libc-2.8.so
00da4000-00da5000 rwxp 00165000 fd:00 25493876   /lib/libc-2.8.so
00da5000-00da8000 rwxp 00da5000 00:00 0 
00da8000-00da9000 r-xp 00000000 fd:00 12387849   /usr/lib/libglade/2.0/libcanvas.so
00da9000-00daa000 rwxp 00001000 fd:00 12387849   /usr/lib/libglade/2.0/libcanvas.so
00daa000-00dd1000 r-xp 00000000 fd:00 25493893   /lib/libm-2.8.so
00dd1000-00dd2000 r-xp 00026000 fd:00 25493893   /lib/libm-2.8.so
00dd2000-00dd3000 rwxp 00027000 fd:00 25493893   /lib/libm-2.8.so
00dd3000-00dd5000 r-xs 00000000 fd:00 23036307  
/var/cache/fontconfig/273572fe21058bf32b3be773088b9170-x86.cache-2
00dd5000-00dd8000 r-xp 00000000 fd:00 25493879   /lib/libdl-2.8.so
00dd8000-00dd9000 r-xp 00002000 fd:00 25493879   /lib/libdl-2.8.so
00dd9000-00dda000 rwxp 00003000 fd:00 25493879   /lib/libdl-2.8.so
00dda000-00ddb000 r-xs 00000000 fd:00 23036303  
/var/cache/fontconfig/e61abf8156cc476151baa07d67337cae-x86.cache-2
00ddb000-00ddc000 r-xs 00000000 fd:00 23036167  
/var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-x86.cache-2
00ddc000-00df1000 r-xp 00000000 fd:00 25493877   /lib/libpthread-2.8.so
00df1000-00df2000 r-xp 00014000 fd:00 25493877   /lib/libpthread-2.8.so
00df2000-00df3000 rwxp 00015000 fd:00 25493877   /lib/libpthread-2.8.so
00df3000-00df5000 rwxp 00df3000 00:00 0 
00df5000-0117a000 rwxs 00000000 fd:00 7634976   
/home/wingo/.wapi/shared_fileshare-unquote-Linux-i686-36-11-0
0117a000-011ca000 r-xp 00000000 fd:00 11762115   /usr/lib/libORBit-2.so.0.1.0
011ca000-011d4000 rwxp 0004f000 fd:00 11762115   /usr/lib/libORBit-2.so.0.1.0
011d4000-011e4000 rwxp 011d4000 00:00 0 
011e4000-011f9000 r-xp 00000000 fd:00 11762123   /usr/lib/libgnome-2.so.0.2200.0
011f9000-011fa000 rwxp 00014000 fd:00 11762123   /usr/lib/libgnome-2.so.0.2200.0
011fa000-01211000 r-xp 00000000 fd:00 11757551   /usr/lib/libart_lgpl_2.so.2.3.20
01211000-01212000 rwxp 00016000 fd:00 11757551   /usr/lib/libart_lgpl_2.so.2.3.20
01212000-01272000 r-xp 00000000 fd:00 11762119   /usr/lib/libgnomevfs-2.so.0.2200.0
01272000-01275000 rwxp 00060000 fd:00 11762119   /usr/lib/libgnomevfs-2.so.0.2200.0
01275000-01287000 r-xp 00000000 fd:00 117621Stacktrace:

  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0x00004>
  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0xffffffff>
  at (wrapper managed-to-native) LibGPhoto2.CameraList.gp_list_get_value
(System.Runtime.InteropServices.HandleRef,int,string&) <0xffffffff>
  at LibGPhoto2.CameraList.GetValue (int) <0x00068>
  at SourceMenu..ctor (ImportCommand) <0x003f0>
  at ImportCommand.ImportFromFile (PhotoStore,string) <0x002b6>
  at MainWindow.HandleImportCommand (object,System.EventArgs) <0x0004f>
  at GLib.Signal.voidObjectCallback (intptr,intptr) <0x000da>
  at (wrapper native-to-managed) GLib.Signal.voidObjectCallback (intptr,intptr)
<0xffffffff>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0xffffffff>
  at Gtk.Application.Run () <0x00007>
  at Gnome.Program.Run () <0x00007>
  at FSpot.Driver.Main (string[]) <0x00cf1>
  at (wrapper runtime-invoke) FSpot.Driver.runtime_invoke_int_string[]
(object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

	f-spot [0x81796be]
	[0x11040c]
	[0x110416]
	/lib/libc.so.6(gsignal+0x50) [0xc69660]
	/lib/libc.so.6(abort+0x188) [0xc6b028]
	/lib/libc.so.6 [0xca65bd]
	/lib/libc.so.6 [0xcac7e4]
	/lib/libc.so.6(cfree+0x96) [0xcae846]
	/lib/libglib-2.0.so.0(g_free+0x36) [0x6219356]
	[0x708ace]
	[0x8e2b792]
	[0x8e2b709]
	[0x8e295e1]
	[0x8e27d27]
	[0x8e27868]
	[0x18f2e33]
	[0x174c038]
	/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84) [0x5ba98b4]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x5b9c12b]
	/lib/libgobject-2.0.so.0 [0x5bb0ed8]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe) [0x5bb1ece]
	/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0x19d) [0x5bb21dd]
	/usr/lib/libgtk-x11-2.0.so.0 [0x653f45f]
	/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84) [0x5ba98b4]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x5b9c12b]
	/lib/libgobject-2.0.so.0 [0x5bb0995]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe) [0x5bb1ece]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x5bb2336]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_button_clicked+0xa1) [0x632da19]
	/usr/lib/libgtk-x11-2.0.so.0 [0x632ee7a]
	/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84) [0x5ba98b4]
	/lib/libgobject-2.0.so.0 [0x5b9a8a9]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x5b9c12b]
	/lib/libgobject-2.0.so.0 [0x5bb01ee]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe) [0x5bb1ece]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x5bb2336]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_button_released+0xa1) [0x632d972]
	/usr/lib/libgtk-x11-2.0.so.0 [0x632ec6a]
	/usr/lib/libgtk-x11-2.0.so.0 [0x64342f6]
	/lib/libgobject-2.0.so.0 [0x5b9a8a9]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x5b9c12b]
	/lib/libgobject-2.0.so.0 [0x5bb063d]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x688) [0x5bb1d58]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x5bb2336]
	/usr/lib/libgtk-x11-2.0.so.0 [0x65a5c3c]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_event+0x115) [0x65a5764]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x260) [0x64328b3]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2da) [0x643139d]
	/usr/lib/libgdk-x11-2.0.so.0 [0x5cd0fc0]
	/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8) [0x6211098]
	/lib/libglib-2.0.so.0 [0x6214743]
	/lib/libglib-2.0.so.0(g_main_loop_run+0x1d2) [0x6214c62]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xe0) [0x6430ac5]
	[0x230dc96]
	[0x230dc60]
	[0x230dc48]
	[0x7084f2]
	[0x7071c4]
	f-spot(mono_runtime_exec_main+0xf7) [0x809a787]
	f-spot(mono_runtime_run_main+0x16d) [0x809ad6d]
	f-spot(mono_main+0x623) [0x8058b53]
	f-spot [0x8058042]
	/lib/libc.so.6(__libc_start_main+0xe6) [0xc555d6]
	f-spot [0x8057f81]
Comment 1 Julian Sikorski 2008-07-05 12:03:13 EDT
This can be caused by gnome bug #528162.
Comment 2 Nigel Jones 2008-07-14 07:50:16 EDT
Gnome Bug #528162 was resolved before 0.4.3.1 was released.  I've just pushed 
0.4.3.1-1.fc9 as an update candidate.  I'd really appreciate it if you could 
test it, you can grab a copy from http://kojipkgs.fedoraproject.org/packages/f-
spot/0.4.3.1/1.fc9/ while the push to updates-testing is pending.
Comment 3 Julian Sikorski 2008-07-14 08:06:16 EDT
Seems like it did the trick, thanks. Why 0.4.3.1 and not 0.4.4, if I may ask?
Comment 4 Nigel Jones 2008-07-14 08:29:50 EDT
(In reply to comment #3)
> Seems like it did the trick, thanks. Why 0.4.3.1 and not 0.4.4, if I may ask?

f-spot 0.4.4 requires gtk-sharp2-2.12.1 which is currently only in rawhide (and
it caused mass breakage of mono applications like f-spot and banshee), so I
decided it was a better idea to get 0.4.3.1 in before trying to go for 100%
breakage :).

Thanks for taking the time to test.
Comment 5 Fedora Update System 2008-07-15 08:19:29 EDT
f-spot-0.4.3.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update f-spot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6313
Comment 6 Fedora Update System 2008-07-23 03:14:15 EDT
f-spot-0.4.3.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.